Accounts APIAliases
Close alias
Permanently closes the specified alias. A closed alias cannot be reopened or used for further transactions.
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Path Parameters
aliasId*string
Unique identifier of the alias to be closed.
Format
uuidHeader Parameters
Idempotency-Key*string
It helps preventing duplicates in your POST requests. It is recommend using a UUID for the key, however you may use any other unique identifier you choose.
Length
length <= 160X-Volt-Api-Version*1
Version of the API used. Currently, version 1 is the only version.
Value in
- 1
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/account-aliases/497f6eca-6276-4993-bfeb-53cbbbba6f08/close" \ -H "Idempotency-Key: 85136c79cbf9fe36bb9d05d0639c70c265c18d37" \ -H "X-Volt-Api-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'Empty
{ "code": "BAD_REQUEST", "message": "string"}{ "code": "UNAUTHORISED", "message": "string"}{ "code": "ACCESS_DENIED", "message": "string"}{ "code": "RESOURCE_NOT_FOUND", "message": "string"}{ "code": "CONFLICT", "message": "string"}{ "code": "UNSUPPORTED_MEDIA_TYPE", "message": "string"}{ "code": "VALIDATION_FAILURE", "message": "string", "errors": [ { "type": "TOO_FEW", "propertyPath": "string", "message": "string" } ]}{ "code": "INTERNAL_SERVER_ERROR", "message": "string"}